# $Revision: 1.33.2.1 $, $Date: 2011/06/09 18:05:46 $
Summary:	Library to access weather information from online services for numerous locations
Summary(pl.UTF-8):	Biblioteka dostępu do informacji pogodowych z serwisów internetowych dla różnych miejsc
Name:		libgweather
Version:	2.30.3
Release:	4
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgweather/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	bf6a0a05051341ecb250f332e3edfb88
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.3
BuildRequires:	libsoup-gnome-devel >= 2.26.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	pkgconfig >= 1:0.19
Requires(post,postun):	gnome-icon-theme
Requires(post,postun):	gtk-update-icon-cache
Requires(post,preun):	GConf2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgweather is a library to access weather information from online
services for numerous locations.

%description -l pl.UTF-8
libgweather to biblioteka pozwalająca na dostęp do informacji
pogodowych z serwisów internetowych dla różnych miejsc.

%package devel
Summary:	Header files for libgweather
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgweather
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel >= 2.26.0
Requires:	gtk+2-devel >= 2:2.16.0
Requires:	libsoup-devel >= 2.26.0
Requires:	libxml2-devel >= 1:2.6.30
Obsoletes:	gnome-applets-devel <= 2.21.4

%description devel
Header files for libgweather.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgweather.

%package static
Summary:	Static libgweather library
Summary(pl.UTF-8):	Statyczna biblioteka libgweather
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgweather library.

%description static -l pl.UTF-8
Statyczna biblioteka libgweather.

%package apidocs
Summary:	libgweather API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgweather
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgweather API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgweather.

%prep
%setup -q
sed -i s#^en@shaw## po/LINGUAS
rm po/en@shaw.po

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-zoneinfo-dir=%{_datadir}/zoneinfo \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules
%{__make} -j1 -C data
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/es_ES
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang libgweather

find $RPM_BUILD_ROOT -name "Locations.*.xml" | sed 's:'"$RPM_BUILD_ROOT"'::
s:\(.*\)/Locations\.\([^.]*\)\.xml:%lang(\2) \1/Locations.\2.xml:' >> libgweather.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache gnome
%gconf_schema_install gweather.schemas

%preun
%gconf_schema_uninstall gweather.schemas

%postun
/sbin/ldconfig
%update_icon_cache gnome

%files -f libgweather.lang
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_libdir}/libgweather.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgweather.so.1
%{_sysconfdir}/gconf/schemas/gweather.schemas
%dir %{_datadir}/libgweather
%{_datadir}/libgweather/Locations.xml
%{_datadir}/libgweather/locations.dtd
%{_iconsdir}/gnome/*/status/*.png
# XXX: gnome-icon-theme doesn't provide this directory
%{_iconsdir}/gnome/scalable

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgweather.so
%{_includedir}/libgweather
%{_pkgconfigdir}/gweather.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgweather.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgweather

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgweather.spec,v $
Revision 1.33.2.1  2011/06/09 18:05:46  lisu
- dropped libtool file
- use __rm macro

Revision 1.33  2011/02/20 12:18:04  megabajt
- release 4

Revision 1.32  2011/02/04 18:23:56  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.31  2010/11/25 14:34:10  hawk
- release 2

Revision 1.30  2010/09/29 07:23:59  megabajt
- updated to 2.30.3

Revision 1.29  2010/06/22 17:22:59  megabajt
- updated to 2.30.2

Revision 1.28  2010/03/30 21:30:08  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.26.2.5  2010/03/13 17:50:07  megabajt
- updated to 2.29.92

Revision 1.26.2.4  2010/02/23 10:54:25  megabajt
- updated to 2.29.91

Revision 1.26.2.3  2010/02/11 22:22:30  megabajt
- updated to 2.29.90

Revision 1.27  2010/02/08 17:28:41  megabajt
- release 3

Revision 1.26.2.2  2010/02/01 10:03:24  patrys
- 2.29.5

Revision 1.26.2.1  2009/12/28 20:18:47  patrys
- 2.29.4

Revision 1.26  2009/11/12 12:59:23  patrys
- rebuild
- rel 2

Revision 1.25  2009/09/26 15:48:48  megabajt
- updated to 2.28.0; merged from DEVEL

Revision 1.24.2.1  2009/08/25 23:36:35  patrys
- 2.27.91

Revision 1.24  2009/07/01 14:04:00  megabajt
- updated to 2.26.2.1

Revision 1.23  2009/06/17 19:18:11  hawk
- release 2

Revision 1.22  2009/04/14 13:47:12  megabajt
- updated to 2.26.1
- mark Locations.*.xml with %lang()

Revision 1.21  2009/04/10 10:18:32  glen
- todo?

Revision 1.20  2009/03/18 12:23:53  patrys
- gtkdocize
- rel 2

Revision 1.19  2009/03/18 12:09:42  patrys
- merged from DEVEL

Revision 1.18.2.4  2009/03/18 12:09:10  patrys
- bump BR:

Revision 1.18.2.3  2009/03/17 17:16:58  patrys
- 2.26.0

Revision 1.18.2.2  2009/03/07 10:49:43  megabajt
- updated to 2.25.92

Revision 1.18.2.1  2009/02/21 12:40:12  megabajt
- updated to 2.25.91
- added apidocs subpackage

Revision 1.18  2009/01/15 11:43:42  megabajt
- updated to 2.24.3

Revision 1.17  2008/11/25 18:27:11  megabajt
- updated to 2.24.2

Revision 1.16  2008/11/09 22:08:22  megabajt
- release 2

Revision 1.15  2008/11/06 16:36:18  sls
- ./configure --with-zoneinfo-dir

Revision 1.14  2008/10/22 20:05:11  megabajt
- updated to 2.24.1

Revision 1.13  2008/09/27 10:03:00  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.10.2.5  2008/09/13 09:25:40  patrys
- 2.23.92

Revision 1.10.2.4  2008/09/04 10:54:11  patrys
- 2.23.91

Revision 1.10.2.3  2008/08/05 14:36:59  patrys
- 2.23.6

Revision 1.10.2.2  2008/07/23 14:59:01  patrys
- 2.23.5

Revision 1.12  2008/06/30 14:10:56  megabajt
- updated to 2.22.3

Revision 1.11  2008/05/31 19:58:25  adamg
- updated to 2.22.2

Revision 1.10.2.1  2008/05/18 19:07:50  patrys
- 2.23.2

Revision 1.10  2008-04-16 20:24:42  sls
- more parallel build

Revision 1.9  2008-04-16 14:42:13  megabajt
- updated to 2.22.1.2
- force make -j1 (doesn't build without it)

Revision 1.8  2008-04-08 15:13:10  megabajt
- updated to 2.22.1.1 (new soname)

Revision 1.7  2008-03-11 16:20:16  megabajt
- updated to 2.22.0

Revision 1.6  2008-02-27 14:14:37  megabajt
- updated to 2.21.92

Revision 1.5  2008-02-20 18:23:31  qboosh
- pl

Revision 1.4  2008-02-11 10:42:12  megabajt
- revised deps
- use better way to fix locale name

Revision 1.3  2008-01-16 11:46:37  patrys
- move devel to libgweather
- make gnome-applets build with recent s-t-b

Revision 1.2  2008-01-15 15:26:59  patrys
- add epoch to glib2 dep

Revision 1.1  2008-01-15 11:09:41  patrys
- initial PLD release
